Debian Bug report logs - #644726
RFP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Simone Rossetto <simros85@gmail.com>

Date: Sat, 8 Oct 2011 14:09:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#644726; Package wnpp. (Sat, 08 Oct 2011 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simone Rossetto <simros85@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 08 Oct 2011 14:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simone Rossetto <simros85@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
Date: Sat, 08 Oct 2011 16:10:13 +0200
Package: wnpp
Severity: wishlist
Owner: Simone Rossetto <simros85@gmail.com>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256


* Package name    : kpdftool
  Version         : 0.23
  Upstream Author : Rodrigo Oliveira <rdglinux@yahoo.com.br>
* URL             : http://kde-apps.org/content/show.php/KPDFTool?content=33194
* License         : GPL
  Programming Lang: C++
  Description     : GUI interface for managing PDFs with GhostView and ImageMagick


KPDFTool can be used to perform basic and usefull operations with PDF
and PS (PostScript) files such as merge, extract pages and protect the
text. All operations can be accomplished in a simple and practical way
without knowledge of shell-based backends.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOkFnDAAoJEFZ1rdOc8CImL7sQAIXvpGYB9f2M4lDj4lXyjknM
5VPizNQmSj3wQcnIsKPWALCEohaUqQpr9DpfgcvLJDW8icoR3fGS/jMliBQHOWmu
jLoY05UkVB5i996lyNY/v7zHyYrSIaYpHjghJQ76W+17GiQVeCW9fPK5veowAWbI
BvmzHGLYl7+1vnuRp2xpri6HFcI/+T3IH6W+b1zzVZDccBYq33ZeTWrf91eXnTjX
AiEa9D1MsAufQ1ew5UVNANNKsH5FeyFX23/BV8b0cDYih1Se7M0WtPwAUECqpw9i
e0HsPiPegCEaq8s01fZv36CAMfXlPqzf19xRNrRVmK8ei374noma9M0tpAf3Gisk
8Js5EOb3L9e64oSsY1GGdBi15RdzSGMjywFzvcr0RrBhTU5+x1sAoaCiXrK3f6W9
ZnkMJVHzKFV6XnIpLevPEAMQsvqOXRUHrbmSqQ+Cp/h9HdWY3cVZWpT4v0WQo1sF
O/9YvyFQrwiEbeMGX3Ngk1HSwuckgLb37VH4FWLQvfOMEl7Hf/Awq58GAXw0kqp+
E2fI9tl3JGEPHV/j/mZO7voQISfh2zUGFUBUiLix1xc67Qxld9BMn6BNDdXz2bF9
TxnTiMpHnr0J4JumB55mylpKcF6SEfhBp1LyRRRFWRqcx9d26LePd7l+5epSkqcW
UPD9POtyljepsbEyAC+A
=Llux
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Simone Rossetto <simros85@gmail.com>:
Bug#644726; Package wnpp. (Sat, 08 Oct 2011 18:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Simone Rossetto <simros85@gmail.com>. (Sat, 08 Oct 2011 18:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 644726@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Simone Rossetto <simros85@gmail.com>, 644726@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RE : Bug#644726: ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
Date: Sat, 8 Oct 2011 20:33:36 +0200
[Message part 1 (text/plain, inline)]
Does it build with graphickmagick instead of imagemagick?

If so could you switch to graphickmagick

Thanks

Bastien

Le 8 oct. 2011 16:09, "Simone Rossetto" <simros85@gmail.com> a écrit :

Package: wnpp
Severity: wishlist
Owner: Simone Rossetto <simros85@gmail.com>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256


* Package name    : kpdftool
 Version         : 0.23
 Upstream Author : Rodrigo Oliveira <rdglinux@yahoo.com.br>
* URL             :
http://kde-apps.org/content/show.php/KPDFTool?content=33194
* License         : GPL
 Programming Lang: C++
 Description     : GUI interface for managing PDFs with GhostView and
ImageMagick


KPDFTool can be used to perform basic and usefull operations with PDF
and PS (PostScript) files such as merge, extract pages and protect the
text. All operations can be accomplished in a simple and practical way
without knowledge of shell-based backends.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOkFnDAAoJEFZ1rdOc8CImL7sQAIXvpGYB9f2M4lDj4lXyjknM
5VPizNQmSj3wQcnIsKPWALCEohaUqQpr9DpfgcvLJDW8icoR3fGS/jMliBQHOWmu
jLoY05UkVB5i996lyNY/v7zHyYrSIaYpHjghJQ76W+17GiQVeCW9fPK5veowAWbI
BvmzHGLYl7+1vnuRp2xpri6HFcI/+T3IH6W+b1zzVZDccBYq33ZeTWrf91eXnTjX
AiEa9D1MsAufQ1ew5UVNANNKsH5FeyFX23/BV8b0cDYih1Se7M0WtPwAUECqpw9i
e0HsPiPegCEaq8s01fZv36CAMfXlPqzf19xRNrRVmK8ei374noma9M0tpAf3Gisk
8Js5EOb3L9e64oSsY1GGdBi15RdzSGMjywFzvcr0RrBhTU5+x1sAoaCiXrK3f6W9
ZnkMJVHzKFV6XnIpLevPEAMQsvqOXRUHrbmSqQ+Cp/h9HdWY3cVZWpT4v0WQo1sF
O/9YvyFQrwiEbeMGX3Ngk1HSwuckgLb37VH4FWLQvfOMEl7Hf/Awq58GAXw0kqp+
E2fI9tl3JGEPHV/j/mZO7voQISfh2zUGFUBUiLix1xc67Qxld9BMn6BNDdXz2bF9
TxnTiMpHnr0J4JumB55mylpKcF6SEfhBp1LyRRRFWRqcx9d26LePd7l+5epSkqcW
UPD9POtyljepsbEyAC+A
=Llux
-----END PGP SIGNATURE-----



--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org
Archive:
http://lists.debian.org/20111008141013.20719.41462.reportbug@droscy.casa.local
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#644726; Package wnpp. (Sun, 09 Oct 2011 08:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simone Rossetto <simros85@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Oct 2011 08:30:04 GMT) Full text and rfc822 format available.

Message #15 received at 644726@bugs.debian.org (full text, mbox):

From: Simone Rossetto <simros85@gmail.com>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 644726@bugs.debian.org
Subject: Re: Bug#644726: ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
Date: Sun, 09 Oct 2011 10:31:19 +0200
[Message part 1 (text/html, inline)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#644726; Package wnpp. (Sun, 09 Oct 2011 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simone Rossetto <simros85@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Oct 2011 08:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 644726@bugs.debian.org (full text, mbox):

From: Simone Rossetto <simros85@gmail.com>
To: 644726@bugs.debian.org
Subject: Re: Bug#644726: ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
Date: Sun, 09 Oct 2011 10:40:53 +0200
[Message part 1 (text/plain, inline)]
Hi Bastien

Il 08/10/2011 20:33, Bastien ROUCARIES ha scritto:
> Does it build with graphickmagick instead of imagemagick?
> If so could you switch to graphickmagick
Actually I've never used graphickmagick but I can try to patch the sources.

Why should I switch to graphickmagick? Is imagemagick about to get out of debian repositories?
I'm asking this just to understand the request.


thanks
Simone

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Simone Rossetto <simros85@gmail.com>:
Bug#644726; Package wnpp. (Sun, 09 Oct 2011 10:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Simone Rossetto <simros85@gmail.com>. (Sun, 09 Oct 2011 10:51:07 GMT) Full text and rfc822 format available.

Message #25 received at 644726@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Simone Rossetto <simros85@gmail.com>
Cc: 644726@bugs.debian.org
Subject: Re: Bug#644726: ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
Date: Sun, 9 Oct 2011 12:47:07 +0200
On Sun, Oct 9, 2011 at 10:31 AM, Simone Rossetto <simros85@gmail.com> wrote:
> Hi Bastien
>
> Il 08/10/2011 20:33, Bastien ROUCARIES ha scritto:
>
> Does it build with graphickmagick instead of imagemagick?
> If so could you switch to graphickmagick
>
> Actually I've never used graphickmagick but I can try to patch the sources.
>
> Why should I switch to graphickmagick? Is imagemagick about to get out of
> debian repositories?
> I'm asking this just to understand the request.

I am the imagemagick maintener, and it is a pain to maintain.
ABI/API is not really stable so it is not used for instance by kde

I prepare a so dump with binnmu each six months.

graphickmagick is ABI compatible with imagemagick5 and API/ABI stable.

better to use for simple task graphickmagick lib.

Bastien



>
> thanks
> Simone
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#644726; Package wnpp. (Tue, 11 Oct 2011 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simone Rossetto <simros85@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Oct 2011 13:09:07 GMT) Full text and rfc822 format available.

Message #30 received at 644726@bugs.debian.org (full text, mbox):

From: Simone Rossetto <simros85@gmail.com>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>
Cc: 644726@bugs.debian.org
Subject: Re: Bug#644726: ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
Date: Tue, 11 Oct 2011 15:10:12 +0200
[Message part 1 (text/plain, inline)]
Hi Bastien

Il 09/10/2011 12:47, Bastien ROUCARIES ha scritto:
> graphickmagick is ABI compatible with imagemagick5 and API/ABI stable.
> better to use for simple task graphickmagick lib.
Ok, I understand.

If kpdftool works correctly with graphicmagick I'll switch to those libraries.


Thanks, bye
Simone

[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Simone Rossetto <simros85@gmail.com>:
Bug#644726; Package wnpp. (Wed, 12 Oct 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Simone Rossetto <simros85@gmail.com>. (Wed, 12 Oct 2011 07:57:04 GMT) Full text and rfc822 format available.

Message #35 received at 644726@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Simone Rossetto <simros85@gmail.com>
Cc: 644726@bugs.debian.org
Subject: Re: Bug#644726: ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
Date: Wed, 12 Oct 2011 09:53:21 +0200
On Tue, Oct 11, 2011 at 3:10 PM, Simone Rossetto <simros85@gmail.com> wrote:
> Hi Bastien
>
> Il 09/10/2011 12:47, Bastien ROUCARIES ha scritto:
>
> graphickmagick is ABI compatible with imagemagick5 and API/ABI stable.
> better to use for simple task graphickmagick lib.
>
> Ok, I understand.
>
> If kpdftool works correctly with graphicmagick I'll switch to those

Thanks

If you use convert and not library it is nevertheless better to keep
imagemagick package dependancy
> libraries.
>
>
> Thanks, bye
> Simone
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#644726; Package wnpp. (Wed, 12 Oct 2011 21:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simone Rossetto <simros85@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Oct 2011 21:54:06 GMT) Full text and rfc822 format available.

Message #40 received at 644726@bugs.debian.org (full text, mbox):

From: Simone Rossetto <simros85@gmail.com>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>
Cc: 644726@bugs.debian.org
Subject: Re: Bug#644726: ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
Date: Wed, 12 Oct 2011 23:54:37 +0200
[Message part 1 (text/plain, inline)]
Il 12/10/2011 09:53, Bastien ROUCARIES ha scritto:
> If you use convert and not library it is nevertheless better to keep
> imagemagick package dependancy

KPDFTool uses directly the 'convert' program, so I leave the ImageMagick dependency.




[signature.asc (application/pgp-signature, attachment)]

Added blocking bug(s) of 644726: 661853 Request was from Benoît Knecht <benoit.knecht@fsfe.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 18:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Simone Rossetto <simros85@gmail.com>:
Bug#644726; Package wnpp. (Mon, 23 Jul 2012 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Simone Rossetto <simros85@gmail.com>. (Mon, 23 Jul 2012 10:39:03 GMT) Full text and rfc822 format available.

Message #47 received at 644726@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 644726@bugs.debian.org
Subject: ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
Date: Mon, 23 Jul 2012 10:34:02 +0000
For the record, Simone has just informed me that Simone has sent a question
about security issues to the upstream author and that Simone has not yet
received a reply.

Regards,

Bart Martens



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Simone Rossetto <simros85@gmail.com>:
Bug#644726; Package wnpp. (Sat, 17 Aug 2013 07:14:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Simone Rossetto <simros85@gmail.com>. (Sat, 17 Aug 2013 07:14:31 GMT) Full text and rfc822 format available.

Message #52 received at 644726@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 644726@bugs.debian.org
Cc: control@bugs.debian.org
Subject: kpdftool: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:08 +0200
retitle 644726 RFP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
noowner 644726
tag 644726 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging kpdftool. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of kpdftool back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging kpdftool, please send a mail to
<control@bugs.debian.org> with:

 retitle 644726 ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
 owner 644726 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <644726@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick' from 'ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:22:27 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Simone Rossetto <simros85@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:22:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#644726; Package wnpp. (Mon, 19 Aug 2013 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 19 Aug 2013 16:06:04 GMT) Full text and rfc822 format available.

Message #61 received at 644726@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Simone Rossetto <simros85@gmail.com>
Cc: 644726@bugs.debian.org
Subject: Re: Bug#644726: kpdftool: changing back from ITP to RFP
Date: Mon, 19 Aug 2013 17:57:57 +0200
Hi Simone,

If you cannot solve it by yourself, and cannot find someone that can
solve it for you, it is probably better to wait for the upstream author
to fix it.

Lucas

On 18/08/13 at 10:09 +0200, Simone Rossetto wrote:
> Hi Lucas, I'm contacting you only to understand the right behaviour that I have to follow
> in situation like this one.
> 
> I'm still interested in packaging kpdftool, because I'm still using it, and, actually, the
> package is already created. But the current version of the sources has a security issue
> that I cannot solve by myself, so I wrote the to the author but he hasn't released an
> update yet.
> 
> What should I do?
> 
> 
> Thanks, bye
> Simone
> 
> 
> 
> Il 17/08/2013 09:06, Lucas Nussbaum ha scritto:
> > retitle 644726 RFP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
> > noowner 644726
> > tag 644726 - pending
> > thanks
> >
> > Hi,
> >
> > A long time ago, you expressed interest in packaging kpdftool. Unfortunately,
> > it seems that it did not happen. In Debian, we try not to keep ITP bugs open
> > for a too long time, as it might cause other prospective maintainers to
> > refrain from packaging the software.
> >
> > This is an automatic email to change the status of kpdftool back from ITP
> > (Intent to Package) to RFP (Request for Package), because this bug hasn't seen
> > any activity during the last 12 months.
> >
> > If you are still interested in packaging kpdftool, please send a mail to
> > <control@bugs.debian.org> with:
> >
> >  retitle 644726 ITP: kpdftool -- GUI interface for managing PDFs with GhostView and ImageMagick
> >  owner 644726 !
> >  thanks
> >
> > It is also a good idea to document your progress on this ITP from time to
> > time, by mailing <644726@bugs.debian.org>.  If you need guidance on how to
> > package this software, please reply to this email, and/or contact the
> > debian-mentors@lists.debian.org mailing list.
> >
> > Thank you for your interest in Debian,
> 

-- 
Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#644726; Package wnpp. (Mon, 19 Aug 2013 19:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simone Rossetto <simros85@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 19 Aug 2013 19:39:09 GMT) Full text and rfc822 format available.

Message #66 received at 644726@bugs.debian.org (full text, mbox):

From: Simone Rossetto <simros85@gmail.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 644726@bugs.debian.org
Subject: Re: Bug#644726: kpdftool: changing back from ITP to RFP
Date: Mon, 19 Aug 2013 21:36:10 +0200
[Message part 1 (text/plain, inline)]
2013/8/19 Lucas Nussbaum <lucas@lucas-nussbaum.net>

> If you cannot solve it by yourself, and cannot find someone that can
> solve it for you, it is probably better to wait for the upstream author
> to fix it.
>

Ok. Then  we will wait.


Thanks
Simone
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:54:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.